Subject: [tsvwg] draft-ietf-lpwan-ipv6-static-context-hc & ECN

From: "Eggert, Lars" <[email-masked]>
Date: Thu, 12 Jul 2018 07:29:40 +0000

[Resending with correct address for lp-wan]

Hi,

Section 10.2. (IPv6 Traffic class field) says:
>   If the DiffServ field does not vary and is known by both sides, the
>   Field Descriptor in the Rule SHOULD contain a TV with this well-known
>   value, an "equal" MO and a "not-sent" CDA.

given that the TC field includes the ECN bits, I think this recommendation is dangerous, since it will cause ECN bleaching.

IMO the main recommendation *must* be one of the options below:

>   Otherwise, two possibilities can be considered depending on the
>   variability of the value:
> 
>   o  One possibility is to not compress the field and send the original
>      value.  In the Rule, TV is not set to any particular value, MO is
>      set to "ignore" and CDA is set to "value-sent".
> 
>   o  If some upper bits in the field are constant and known, a better
>      option is to only send the LSBs.  In the Rule, TV is set to a
>      value with the stable known upper part, MO is set to MSB(x) and
>      CDA to LSB(y).

Lars

PS: I haven't checked whether other related drafts have similar issues.